struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dave Newton <newton.d...@yahoo.com>
Subject Re: error when deploying app with struts 1.2 and weblogic 8.1sp5
Date Mon, 16 Apr 2007 22:06:24 GMT
-- Baiyu Li <flanker27.lee@gmail.com> wrote:
> I have a ear app just upgrading to struts 1.2.9.
> [ weblogic ]

I know that Weblogic comes with its own version of
Struts. We had various issues w/ classpaths--there is
a setting to tell Weblogic to "prefer" the libs found
in your application's WEB-INF/lib that you could try
setting:

"""
[...] set <prefer-web-inf-classes> element in
WEB-INF/weblogic.xml to true. An example of
weblogic.xml is shown below:

<weblogic-web-app>
  <container-descriptor>
    <prefer-web-inf-classes>
      true
    </prefer-web-inf-classes>
  </container-descriptor>
</weblogic-web-app>

If set to true, the <prefer-web-inf-classes> element
will force WebLogic's classloader to load classes
located in the WEB-INF directory of a web application
in preference to application or system classes. This
is a recommended approach since it only impacts a
single web module.
"""

It's a place to start, anyway.

d.


__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org


Mime
View raw message